#if !defined(AFX_DEPTHDIAG_H__E4619384_710A_46FA_8BE4_67EDCD914B6E__INCLUDED_)
#define AFX_DEPTHDIAG_H__E4619384_710A_46FA_8BE4_67EDCD914B6E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DepthDiag.h : header file
//
#include <Compost\FeatureGrid.hpp>
#define MAXDEPSELECTION 1024

/////////////////////////////////////////////////////////////////////////////
// CDepthDiag dialog
class CImageGrinderDoc;

class CDepthDiag : public CDialog
{
// Construction
public:
	CDepthDiag(CWnd* pParent = NULL);   // standard constructor
	Compost::FeatureInstance *SelectedFeature[MAXDEPSELECTION];
	Compost::FeatureInstance BackupSel[MAXDEPSELECTION];
	int SelCount,BackupCount;
	CImageGrinderDoc *pDoc;
	// Dialog Data
	//{{AFX_DATA(CDepthDiag)
	enum { IDD = IDD_DEPTHDIAG };
	CListBox	m_DList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDepthDiag)
	public:
	virtual int DoModal(CImageGrinderDoc *Doc,CPoint &pnt);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDepthDiag)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSelchangeDlist();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEPTHDIAG_H__E4619384_710A_46FA_8BE4_67EDCD914B6E__INCLUDED_)
